Bug 994376 - ncat displays debug messages during normal use
ncat displays debug messages during normal use
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nmap (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 03:06 EDT by Ralf Ertzinger
Modified: 2013-08-11 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: nmap-6.40-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-11 14:31:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2013-08-07 03:06:27 EDT
Description of problem:
When using ncat to connect through a HTTP proxy a debug message is displayed on screen:

$ /usr/bin/ncat --proxy-type http --proxy proxy.example.com:3128 www.example.com 443
NCAT DEBUG: Proxy returned status code 200.


Version-Release number of selected component (if applicable):
nmap-ncat-6.25-2.fc19.x86_64


How reproducible:
Use ncat to connect through a HTTP proxy

Steps to Reproduce:
1. see above
2.
3.

Actual results:
Debug message displayed

Expected results:
no message displayed unless verbose requested

Additional info:
Comment 1 Michal Hlavinka 2013-08-08 10:40:52 EDT
reproducible
Comment 2 Fedora Update System 2013-08-08 11:34:00 EDT
nmap-6.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nmap-6.40-2.fc19
Comment 3 Fedora Update System 2013-08-09 13:06:22 EDT
Package nmap-6.40-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nmap-6.40-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14485/nmap-6.40-2.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-11 14:31:37 EDT
nmap-6.40-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.